# videomedian

Apply a median filter to an image

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVideoFilter
                            ╰──videomedian

## Factory details

Authors: – Wim Taymans

Classification: – `Filter/Effect/Video`

Rank – none

Plugin – videofilter

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: { I420, YV12 }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: { I420, YV12 }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### filtersize

    “filtersize” Video-median-size *

The size of the filter

Flags : Read / Write

Default value : 5 (5)

### lum-only

    “lum-only” gboolean

Only apply filter on luminance

Flags : Read / Write

Default value : true

## Named constants

### Video-median-size

#### Members

`5` (5) – Median of 5 neighbour pixels
`9` (9) – Median of 9 neighbour pixels

The results of the search are